Subject: Re: [bitcoin-dev] [patch] Switching Bitcoin Core to sqlite db

From: Jorge Timón <[email-masked]>
Date: Fri, 20 Nov 2015 15:15:20 +0100

On Tue, Nov 17, 2015 at 11:17 PM, telemaco via bitcoin-dev
<[email-masked]> wrote:
> Shouldn't a odbc jdbc jconnect or equivalent be totally transparent for the
> consensus code?

Yes, but we're only testing levelDB and we couldn't assure that it
won't produce unintentional consensus forks with other databases
behind the whatever db-agnostic interface.
I believe Bitcoin Core should officially support only one database at
a time. And if that is to change in the future, I don't think it
should be before a storage-agnostic libconsensus is encapsulated (and
after that there will still be risks and costs in officially
supporting several several databases simultaneously).
As has been said, these kind of experiments are welcomed outside of
bitcoin/master though.